
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>TMS320F28335项目开发记录6_28335之cmd文件详解 / 憋错料</title>

    <meta name="description" content="TMS320F28335项目开发记录6_28335之cmd文件详解 1.CMD文件的作用 CMD文件的作用就像仓库的货物摆放记录一样,为程序代码和数据分配指定的空间. 2.C语言生成的段 C语言生成的段大致分为两大类:初始化和未初始化,已初始化的段含有真正的指令和数据,未初始化段只是保留变量的地址空间. 已初始化段: .text--C语言编译生成的汇编指令代码存放于此 .cinit--存放初始化的全局和静态变量 .const--字符串常量和const定义的全局和静态变量 .econst--字符串常量和far const定义的全局和静态变量 .print--全局构">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">TMS320F28335项目开发记录6_28335之cmd文件详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>1.CMD文件的作用</h1>
<p>CMD文件的作用就像仓库的货物摆放记录一样，为<strong>程序代码</strong>和<strong>数据</strong>分配指定的空间。</p>
<h1>2.C语言生成的段</h1>
<p>C语言生成的段大致分为两大类：初始化和未初始化，已初始化的段含有真正的指令和数据，未初始化段只是保留变量的地址空间。</p>
<p><strong>已初始化段：</strong></p>
<p>.text——C语言编译生成的汇编指令代码存放于此</p>
<p>.cinit——存放初始化的全局和静态变量</p>
<p>.const——字符串常量和const定义的全局和静态变量</p>
<p>.econst——字符串常量和far const定义的全局和静态变量</p>
<p>.print——全局构造器(C&#043;&#043;)程序列表</p>
<p>.switch——存放switch语句产生的常数表&#26684;</p>
<p>以.const段为例：</p>
<pre>const int a = 10;  //注意必须是全局的 如果声明为局部const初始化变量，不会放在.const段，局部变量都是运行时放在.bss段中
char * p = &quot;ABC&quot;;
数组和结构体的初始值——是局部变量时，产生的是.const，如果是全局变量，产生的是.cinit</pre>
<p><strong>未初始化段：</strong></p>
<p>.bss——为全局变量和局部变量保留的空间，程序上电时，.cinit空间中的数据复制出来并存放在.bss空间中</p>
<p>.ebss——为使用大寄存器模式时预留的全局和局部变量空间，程序上电时，.cinit空间中的数据复制出来并存放在.bss空间中</p>
<p>.stack——堆栈空间，主要用于函数传递变量或为局部变量分配空间</p>
<p>.system——为动态存储分配保留的空间(malloc)，如果有宏函数，此空间被占用</p>
<p>.esystem——为动态存储分配保留的空间(far malloc)，如果有far函数，此空间会被占用</p>
<h1>3.自定义段</h1>
<p>上面的都是官方预先定义好的，我们可以定义自己的段么？可以，使用如下语句:</p>
<pre>#pragma CODE_SECTION(symbol, &quot;section name&quot;);
#pragma DATA_SECTION(symbol, &quot;section name&quot;);</pre>
<p>symbol——符号，可以是函数名/变量名</p>
<p>section name——自定义的段名</p>
<p>CODE_SECTION用来定义代码段</p>
<p>DATA_SECTION用来定义数据段</p>
<p><strong>注意</strong>：</p>
<p>不能再函数体内声明#pragma；</p>
<p>必须在符号被定义和使用之前声明#pragma</p>
<p>例子：</p>
<pre>#pragma DATA_SECTION(data, &quot;data_name&quot;);
char data[100];</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMjMwOTA4MzUwMDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YzJOdmRIUnNlVEU9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<h1>4.CMD文件</h1>
<p>在DSP28335工程文件里（不用BIOS产生CMD文件），手写CMD文件一般有两个，RAM里调试时用的两个CMD文件分别为DSP2833x_Headers_nonBIOS.cmd和28335_RAM_lnk.cmd，烧写到flash里时用的两个CMD文件分别为DSP2833x_Headers_nonBIOS.cmd和F28335.cmd，其中DSP2833x_Headers_nonBIOS.cmd文件可以在所有工程文件中通用，主要作用是把外设寄存器产生的数据段映射到对应的存储空间，可以跟DSP2833x_GlobalVariableDefs.c文件对照一下看看。在我的上一篇文章中也有提到。</p>
<p>其实我们也不需要详细的知道如何编写cmd文件，可以照着原有的修改就可以了。</p>
<p>下面是官方28335_RAM_lnk.cmd,一般情况下直接用TI给的，不需要做修改即可满足调试用，模式较固定，当然你也可以做相应的修改用到哪块RAM存储空间，在CMD文件里做相应的分配即可。</p>
<pre>MEMORY
{
PAGE 0 :
   /* BEGIN is used for the &quot;boot to SARAM&quot; bootloader mode      */

   BEGIN      : origin = 0x000000, length = 0x000002     /* Boot to M0 will go here                      */
   RAMM0      : origin = 0x000050, length = 0x0003B0
   RAML0      : origin = 0x008000, length = 0x001000
   RAML1      : origin = 0x009000, length = 0x001000
   RAML2      : origin = 0x00A000, length = 0x001000
   RAML3      : origin = 0x00B000, length = 0x001000
   ZONE7A     : origin = 0x200000, length = 0x00FC00    /* XINTF zone 7 - program space */
   CSM_RSVD   : origin = 0x33FF80, length = 0x000076     /* Part of FLASHA.  Program with all 0x0000 when CSM is in use. */
   CSM_PWL    : origin = 0x33FFF8, length = 0x000008     /* Part of FLASHA.  CSM password locations in FLASHA            */
   ADC_CAL    : origin = 0x380080, length = 0x000009
   RESET      : origin = 0x3FFFC0, length = 0x000002
   IQTABLES   : origin = 0x3FE000, length = 0x000b50
   IQTABLES2  : origin = 0x3FEB50, length = 0x00008c
   FPUTABLES  : origin = 0x3FEBDC, length = 0x0006A0
   BOOTROM    : origin = 0x3FF27C, length = 0x000D44

PAGE 1 :
   /* BOOT_RSVD is used by the boot ROM for stack.               */
   /* This section is only reserved to keep the BOOT ROM from    */
   /* corrupting this area during the debug process              */

   BOOT_RSVD  : origin = 0x000002, length = 0x00004E     /* Part of M0, BOOT rom will use this for stack */
   RAMM1      : origin = 0x000400, length = 0x000400     /* on-chip RAM block M1 */
   RAML4      : origin = 0x00C000, length = 0x001000
   RAML5      : origin = 0x00D000, length = 0x001000
   RAML6      : origin = 0x00E000, length = 0x001000
   RAML7      : origin = 0x00F000, length = 0x001000
   ZONE7B     : origin = 0x20FC00, length = 0x000400     /* XINTF zone 7 - data space */
}

SECTIONS
{
   /* Setup for &quot;boot to SARAM&quot; mode:
      The codestart section (found in DSP28_CodeStartBranch.asm)
      re-directs execution to the start of user code.  */
   codestart        : &gt; BEGIN,     PAGE = 0
   ramfuncs         : &gt; RAML0,     PAGE = 0
   .text            : &gt; RAML1,     PAGE = 0
   .cinit           : &gt; RAML0,     PAGE = 0
   .pinit           : &gt; RAML0,     PAGE = 0
   .switch          : &gt; RAML0,     PAGE = 0

   .stack           : &gt; RAMM1,     PAGE = 1
   .ebss            : &gt; RAML4,     PAGE = 1
   .econst          : &gt; RAML5,     PAGE = 1
   .esysmem         : &gt; RAMM1,     PAGE = 1

   IQmath           : &gt; RAML1,     PAGE = 0
   IQmathTables     : &gt; IQTABLES,  PAGE = 0, TYPE = NOLOAD

   /* Uncomment the section below if calling the IQNexp() or IQexp()
      functions from the IQMath.lib library in order to utilize the
      relevant IQ Math table in Boot ROM (This saves space and Boot ROM
      is 1 wait-state). If this section is not uncommented, IQmathTables2
      will be loaded into other memory (SARAM, Flash, etc.) and will take
      up space, but 0 wait-state is possible.
   */
   /*
   IQmathTables2    : &gt; IQTABLES2, PAGE = 0, TYPE = NOLOAD
   {

              IQmath.lib&lt;IQNexpTable.obj&gt; (IQmathTablesRam)

   }
   */

   FPUmathTables    : &gt; FPUTABLES, PAGE = 0, TYPE = NOLOAD

   DMARAML4         : &gt; RAML4,     PAGE = 1
   DMARAML5         : &gt; RAML5,     PAGE = 1
   DMARAML6         : &gt; RAML6,     PAGE = 1
   DMARAML7         : &gt; RAML7,     PAGE = 1

   ZONE7DATA        : &gt; ZONE7B,    PAGE = 1

   .reset           : &gt; RESET,     PAGE = 0, TYPE = DSECT /* not used                    */
   csm_rsvd         : &gt; CSM_RSVD   PAGE = 0, TYPE = DSECT /* not used for SARAM examples */
   csmpasswds       : &gt; CSM_PWL    PAGE = 0, TYPE = DSECT /* not used for SARAM examples */

   /* Allocate ADC_cal function (pre-programmed by factory into TI reserved memory) */
   .adc_cal     : load = ADC_CAL,   PAGE = 0, TYPE = NOLOAD

}

/*
//===========================================================================
// End of file.
//===========================================================================
*/
</pre>
<p>下面是官方F28335.cmd；</p>
<p>编写用于flash烧写的F28335.cmd文件时相对来说较复杂些，根据不同的情况需要做一些修改。</p>
<p>1 不需要把部分代码copy到RAM里，一般情况不需要外扩RAM等时直接用TI的F28335.cmd即可。</p>
<p>2 需要把部分代码从flash 复制到RAM里，如延时函数DSP2833x_usDelay.asm等，这时CMD文件需要做相应的修改，具体参考博文：<a href="http://blog.sina.com.cn/s/blog_762cf5f80101asmq.html" rel="external nofollow noreferrer">http://blog.sina.com.cn/s/blog_762cf5f80101asmq.html</a></p>
<p>3 从时间开销方面考虑，需要把整个程序从flash复制到RAM里，这时程序及CMD文件都要做相应的修改，具体参考博文<a href="http://blog.sina.com.cn/s/blog_762cf5f80101apfx.html" rel="external nofollow noreferrer">http://blog.sina.com.cn/s/blog_762cf5f80101apfx.html</a></p>
<pre>MEMORY
{
PAGE 0:    /* Program Memory */
           /* Memory (RAM/FLASH/OTP) blocks can be moved to PAGE1 for data allocation */

   ZONE0       : origin = 0x004000, length = 0x001000     /* XINTF zone 0 */
   RAML0       : origin = 0x008000, length = 0x001000     /* on-chip RAM block L0 */
   RAML1       : origin = 0x009000, length = 0x001000     /* on-chip RAM block L1 */
   RAML2       : origin = 0x00A000, length = 0x001000     /* on-chip RAM block L2 */
   RAML3       : origin = 0x00B000, length = 0x001000     /* on-chip RAM block L3 */
   ZONE6       : origin = 0x0100000, length = 0x100000    /* XINTF zone 6 */
   ZONE7A      : origin = 0x0200000, length = 0x00FC00    /* XINTF zone 7 - program space */
   FLASHH      : origin = 0x300000, length = 0x008000     /* on-chip FLASH */
   FLASHG      : origin = 0x308000, length = 0x008000     /* on-chip FLASH */
   FLASHF      : origin = 0x310000, length = 0x008000     /* on-chip FLASH */
   FLASHE      : origin = 0x318000, length = 0x008000     /* on-chip FLASH */
   FLASHD      : origin = 0x320000, length = 0x008000     /* on-chip FLASH */
   FLASHC      : origin = 0x328000, length = 0x008000     /* on-chip FLASH */
   FLASHA      : origin = 0x338000, length = 0x007F80     /* on-chip FLASH */
   CSM_RSVD    : origin = 0x33FF80, length = 0x000076     /* Part of FLASHA.  Program with all 0x0000 when CSM is in use. */
   BEGIN       : origin = 0x33FFF6, length = 0x000002     /* Part of FLASHA.  Used for &quot;boot to Flash&quot; bootloader mode. */
   CSM_PWL     : origin = 0x33FFF8, length = 0x000008     /* Part of FLASHA.  CSM password locations in FLASHA */
   OTP         : origin = 0x380400, length = 0x000400     /* on-chip OTP */
   ADC_CAL     : origin = 0x380080, length = 0x000009     /* ADC_cal function in Reserved memory */

   IQTABLES    : origin = 0x3FE000, length = 0x000b50     /* IQ Math Tables in Boot ROM */
   IQTABLES2   : origin = 0x3FEB50, length = 0x00008c     /* IQ Math Tables in Boot ROM */
   FPUTABLES   : origin = 0x3FEBDC, length = 0x0006A0     /* FPU Tables in Boot ROM */
   ROM         : origin = 0x3FF27C, length = 0x000D44     /* Boot ROM */
   RESET       : origin = 0x3FFFC0, length = 0x000002     /* part of boot ROM  */
   VECTORS     : origin = 0x3FFFC2, length = 0x00003E     /* part of boot ROM  */

PAGE 1 :   /* Data Memory */
           /* Memory (RAM/FLASH/OTP) blocks can be moved to PAGE0 for program allocation */
           /* Registers remain on PAGE1                                                  */

   BOOT_RSVD   : origin = 0x000000, length = 0x000050     /* Part of M0, BOOT rom will use this for stack */
   RAMM0       : origin = 0x000050, length = 0x0003B0     /* on-chip RAM block M0 */
   RAMM1       : origin = 0x000400, length = 0x000400     /* on-chip RAM block M1 */
   RAML4       : origin = 0x00C000, length = 0x001000     /* on-chip RAM block L1 */
   RAML5       : origin = 0x00D000, length = 0x001000     /* on-chip RAM block L1 */
   RAML6       : origin = 0x00E000, length = 0x001000     /* on-chip RAM block L1 */
   RAML7       : origin = 0x00F000, length = 0x001000     /* on-chip RAM block L1 */
   ZONE7B      : origin = 0x20FC00, length = 0x000400     /* XINTF zone 7 - data space */
   FLASHB      : origin = 0x330000, length = 0x008000     /* on-chip FLASH */
}

/* Allocate sections to memory blocks.
   Note:
         codestart user defined section in DSP28_CodeStartBranch.asm used to redirect code
                   execution when booting to flash
         ramfuncs  user defined section to store functions that will be copied from Flash into RAM
*/ 

SECTIONS
{

   /* Allocate program areas: */
   .cinit              : &gt; FLASHA      PAGE = 0
   .pinit              : &gt; FLASHA,     PAGE = 0
   .text               : &gt; FLASHA      PAGE = 0
   codestart           : &gt; BEGIN       PAGE = 0
   ramfuncs            : LOAD = FLASHD,
                         RUN = RAML0,
                         LOAD_START(_RamfuncsLoadStart),
                         LOAD_END(_RamfuncsLoadEnd),
                         RUN_START(_RamfuncsRunStart),
                         PAGE = 0

   csmpasswds          : &gt; CSM_PWL     PAGE = 0
   csm_rsvd            : &gt; CSM_RSVD    PAGE = 0

   /* Allocate uninitalized data sections: */
   .stack              : &gt; RAMM1       PAGE = 1
   .ebss               : &gt; RAML4       PAGE = 1
   .esysmem            : &gt; RAMM1       PAGE = 1

   /* Initalized sections go in Flash */
   /* For SDFlash to program these, they must be allocated to page 0 */
   .econst             : &gt; FLASHA      PAGE = 0
   .switch             : &gt; FLASHA      PAGE = 0      

   /* Allocate IQ math areas: */
   IQmath              : &gt; FLASHC      PAGE = 0                  /* Math Code */
   IQmathTables     : &gt; IQTABLES,  PAGE = 0, TYPE = NOLOAD 

   /* Uncomment the section below if calling the IQNexp() or IQexp()
      functions from the IQMath.lib library in order to utilize the
      relevant IQ Math table in Boot ROM (This saves space and Boot ROM
      is 1 wait-state). If this section is not uncommented, IQmathTables2
      will be loaded into other memory (SARAM, Flash, etc.) and will take
      up space, but 0 wait-state is possible.
   */
   /*
   IQmathTables2    : &gt; IQTABLES2, PAGE = 0, TYPE = NOLOAD
   {

              IQmath.lib&lt;IQNexpTable.obj&gt; (IQmathTablesRam)

   }
   */

   FPUmathTables    : &gt; FPUTABLES, PAGE = 0, TYPE = NOLOAD 

   /* Allocate DMA-accessible RAM sections: */
   DMARAML4         : &gt; RAML4,     PAGE = 1
   DMARAML5         : &gt; RAML5,     PAGE = 1
   DMARAML6         : &gt; RAML6,     PAGE = 1
   DMARAML7         : &gt; RAML7,     PAGE = 1

   /* Allocate 0x400 of XINTF Zone 7 to storing data */
   ZONE7DATA        : &gt; ZONE7B,    PAGE = 1

   /* .reset is a standard section used by the compiler.  It contains the */
   /* the address of the start of _c_int00 for C Code.   /*
   /* When using the boot ROM this section and the CPU vector */
   /* table is not needed.  Thus the default type is set here to  */
   /* DSECT  */
   .reset              : &gt; RESET,      PAGE = 0, TYPE = DSECT
   vectors             : &gt; VECTORS     PAGE = 0, TYPE = DSECT

   /* Allocate ADC_cal function (pre-programmed by factory into TI reserved memory) */
   .adc_cal     : load = ADC_CAL,   PAGE = 0, TYPE = NOLOAD

}

/*
//===========================================================================
// End of file.
//===========================================================================
*/
</pre>
<p>具体的工程实例，以后会给出；</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:28:37 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/cmd%e6%96%87%e4%bb%b6/" title="cmd文件">cmd文件</a>, <a href="https://www.biecuoliao.com/tag/28335/" title="28335">28335</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>TMS320F28335项目开发记录6_28335之cmd文件详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmNpxX0.html" rel="bookmark">TMS320F28335项目开发记录4&lowbar;28335之启动模式&lpar;串口烧写Flash&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TMS320F28335支持多种启动模式,如下: // $Boot_Table: // // GPIO87 GPIO86 GPIO85 GPIO84 // XA15 XA14 XA13 XA12 // PU PU PU PU // ========================================== // 1 1 1 1 Jump to Flash &lt;- &quot;boot to Flash&quot; // 1 1 1 0 SCI-A boot // 1 1 0 1 SPI-A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/L3r9A90.html" rel="bookmark">TMS320F28335项目开发记录1&lowbar;CCS的使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CCS使用介绍 一.前言 本系列文章记录本人实际项目开发时对ti的DSP28335,以及CCS开发环境等的学习与记录,相对于2812来说,28335的资料还是比較少的,只是原理是相通的,28335说白了就是比2812多一些外设,寄存器等东西: 28335对于学习DSP的人来说,也算是一款入门级芯片.本人也是学习没多久就拿来做项目了,用到什么学什么,感觉事实上DSP没有想象中的难,无非就是和单片机一样.配置一些寄存器,驱动一些外设进行开发等,而DSP之所以难.难在它的算法部分,有了好的算法,DSP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3q8Lz90.html" rel="bookmark">TMS320F28335项目开发记录5&lowbar;28335之CCS编程基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CCS开发环境已经为我们封装好了许多片内外设寄存器的结构体,我们只需要包含相应的官方的头文件就可以使用了,那么它的内部具体是如何实现的呢? 下面来一个典型的例子: 1.使用结构体和联合体 A.用struct定义位域的作用: DSP2833x_Sci.h中有一段: struct SCICCR_BITS { // bit description Uint16 SCICHAR:3; // 2:0 Character length control Uint16 ADDRIDLE_MODE:1; // 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47eaay0.html" rel="bookmark">TMS320F28335项目开发记录2&lowbar;CCS与JTAG仿真器连接问题汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CCS与仿真器连接问题 实际使用过程中.仿真器和CCS连接可能出现这样或那样的问题,或许你的连接非常成功,没碰到过什么问题.但我的问题的确不少,可能与电脑配置有关吧,也可能与人品有关吧. 以下的自己的一些错误和解决方法总结.不一定对,但也算是一种解决方法.分享给大家: 问题: 1. jtag连接不上,报错: The controller has detected a dead JTAG clock. The user must turn-on or connect the JTAG clock			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dEegZ3.html" rel="bookmark">TMS320F28335项目开发记录2&lowbar;CCS与仿真器连接问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实际使用过程中,仿真器和CCS连接可能出现这样或那样的问题,也许你的连接很成功,没碰到过什么问题,但我的问题的确不少,可能与电脑配置有关吧,也可能与人品有关吧: 下面的自己的一些错误和解决方法总结,不一定对,但也算是一种解决方法,分享给大家: 问题: 1. jtag连接不上,报错: The controller has detected a dead JTAG clock. The user must turn-on or connect the JTAG clock for the targe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MynqaA0.html" rel="bookmark">TMS320F28335项目开发记录11&lowbar;28335之存储系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TMS320F28335为哈佛结构的DSP,在逻辑上有4M×16位的程序空间和4M×16位的数据空间,但在物理上已将程序空间和数据空间统一成一个4M×16位的空间. TMS320F28335片上有256K×16位的FLASH,34K×16位的SRAM,8K×16位的BOOT ROM,2K×16位的OPT ROM. 1. TMS320F28335片上SARAM TMS320F28335片内共有34K×16位单周期单次访问随机存储器的SARAM,分成10个块,他们分别称为M0.M1.L0-L7. M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rpWg9M.html" rel="bookmark">TMS320F28335项目开发记录10&lowbar;28335之SCI模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				28335之SCI模块 1.介绍 TMS320F28335内部有三个SCI模块,SCIA.SCIB.SCIC. 每一个SCI模块都有一个接收器和发送器,SCI的接收器和发送器各有一个16级的FIFO(First In First Out先入先出)队列,它们都还有自己独立的使能位和中断位:可以工作在半双工或全双工模式: 串行通信的三种方式: 2.SCI深入 A. GPIO的管脚对应如下: SCIA对应GPIO28/29和GPIO35/36两组可选:   SCIB有四组管脚可以选择,分别是 O9/1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bzyVw0.html" rel="bookmark">TMS320F28335项目开发记录7&lowbar;28335之时钟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TMS320F28335时钟 TMS320F28335上有一个基于PLL电路的片上时钟模块,如图1所示,为CPU及外设提供时钟有两种方式: 一种是用外部的时钟源,将其连接到X1引脚上或者XCLKIN引脚上,X2接地: 另一种是使用振荡器产生时钟,用30MHz的晶体和两个20PF的电容组成的电路分别连接到X1和X2引脚上,XCLKIN引脚接地. 我们常用第二种来产生时钟.此时钟将通过一个内部PLL锁相环电路,进行倍频.由于F28335的最大工作频率是150M,所以倍频值最大是5.其中倍频值由PLL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bY72oM.html" rel="bookmark">TMS320F28335项目开发记录3&lowbar;28335简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				28335特性介绍 高性能静态CMOS技术 高达150MHZ(6.67ns的周期时间):1.9V / 1.8内核 ,3.3V I/O设计 高性能32位CPU IEEE-754单精度浮点单元 哈佛总线结构 高速中断响应处理 使用C/C++ 和汇编语言 6通道的DMA(用于ADC.McBsp.ePWM.XINTF和SARAM) 16位或32位外部接口XINTF 片上存储器 256K*16 Flash     34K*16 SARAM 8K*16 Boot ROM(支持软件引导模式SCI.SPI.CA			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jVqe0.html" rel="bookmark" class="title">搭建IPA用户管理服务器&amp;安装ssh远程访问服务</a>
					<div>
						1.搭建IPA用户管理服务器 搭建准备前工作 workstation: #先停掉dhcp服务 systemctl stop dhcpd;systemctl disable dhcpd #分别在work ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYppP3.html" rel="bookmark" class="title">民间手工竹制品历史悠久，不过还会编制的竹编匠人也不多了！</a>
					<div>
						民间手工竹制品这种东西八零后之前年代的人都见过吧? 这就是竹编.竹编是用山上毛竹剖劈成篾片或篾丝并编织成各种用具和工艺品的一种手工艺.民间手工竹制品不仅具有很大的实用价值,更具深厚的历史底蕴. 民间手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mDNzM.html" rel="bookmark" class="title">JS-特效 ～ 01&period;  事件对象、offset偏移／检测、无缝滚动、自动循环轮播图</a>
					<div>
						Math.round ( ) :正书四舍五入,负数五舍六入 用定时器,先清除定时器 事件对象 event event:事件被触动时,鼠标和键盘的状态,通过属性控制 Offset:偏移,检测 1. 获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NA7Q83.html" rel="bookmark" class="title">对象的引用传递 &mdash;&mdash;面向对象3</a>
					<div>
						引用传递 class Ref1{ int temp=10; } public class RefDemo01{ public static void main(String args[]){ Ref1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjRga0.html" rel="bookmark" class="title">使用mysqlbinlog工具进行基于位置或时间点的数据恢复</a>
					<div>
						使用mysqlbinlog工具进行基于位置或时间点的恢复 MySQL备份一般采取全备份加日志备份的方式,比如每天执行一次全备份,每小时执行一次二进制日志备份.这样在MySQL Server故障后可以使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7V7P3.html" rel="bookmark" class="title">JS 报表制作</a>
					<div>
						1: Jmgraph 工具 http://graph.jm47.com/ 2: fusionchart工具 http://www.fusioncharts.com/ 3: ichartjs 工具 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX75m84.html" rel="bookmark" class="title">文件、目录&mdash;&mdash;Linux基本命令（5）</a>
					<div>
						1. 文件名规则 (1)文件名最长255个字节 (2)包括路径在内文件名称最长4095个字节 (3)文件颜色 蓝色à目录 绿色à可执行文件 红色à压缩文件 浅蓝色à链接文件 灰色à其他文件 (4)除了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZNjj3.html" rel="bookmark" class="title">判断100-200之间的素数</a>
					<div>
						#include&lt;stdio.h&gt;/*判断100-200之间的素数*/int main (){ int num,point,rem,temp; for(num=100;num&lt;=20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKxlj3.html" rel="bookmark" class="title">JavaSE&colon;多线程补充--线程通信</a>
					<div>
						线程通信我认为是多线程中最难掌握的部分了,这里通过两个例子来说明一下. 第一个: 使用两个线程打印 1-100. 线程1, 线程2 交替打印 public class Print implements ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35275j4.html" rel="bookmark" class="title">HDU3032&lowbar;NimOrNotNim解题报告</a>
					<div>
						 HDU3032 Nim or not Nim 解题报告:思路与证明 胡明晓 Description Alice and Bob is tired of playing Nim under the s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWbzoM.html" rel="bookmark" class="title">课程作业07 MVC框架</a>
					<div>
						MVC简介 MVC开始是存在于桌面程序中的,M是指业务模型,V是指用户界面,C则是控制器. MVC 是一种使用 MVC(Model View Controller 模型-视图-控制器)设计创建 Web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qadXN3.html" rel="bookmark" class="title">TCP连接建立与释放</a>
					<div>
						tcp建立连接 tcp连接的建立需要经历”三次握手“的过程.过程如下 client发送SYN包(值为j)以及SEQ包到server端,此时client进入SYN_SEND状态.此为第一次握手. ser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODD184.html" rel="bookmark" class="title">Ajax无刷新提交表单和显示</a>
					<div>
						ajax无刷新表单提交: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEReVx0.html" rel="bookmark" class="title">服务端NETTY 客户端非NETTY处理粘包和拆包的问题</a>
					<div>
						之前为了调式和方便一直没有处理粘包的问题,今天专门花了时间来搞NETTY的粘包处理,要知道在高并发下,不处理粘包是不可能的,数据流的混乱会造成业务的崩溃什么的我就不说了.所以这个问题 在我心里一直是个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38bV2gM.html" rel="bookmark" class="title">struts2自定义登录拦截器</a>
					<div>
						版权声明:本文为博主原创文章,未经博主允许不得转载. (1)配置web.xml,让xml加载struts2框架 &lt;?xml version=&quot;1.0&quot; encoding=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLqzw4.html" rel="bookmark" class="title">汽水瓶（hpu1163）</a>
					<div>
						汽水瓶 Time Limit: 1 Sec  Memory Limit: 128 MB Submit: 49  Solved: 37 [Submit][Status][Web Board] Descr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGdNeV0.html" rel="bookmark" class="title">IBM P750 AIX机器根目录空间满问题解决办法</a>
					<div>
						今天有系统应用人员跟我讲数据库双机服务器空间快要满了,我登录到服务器上去查看发现根目录3G的空间只剩下不到一百多兆了,附图如下 列出根目录下最占用空间的文件 $du -amx / |sort -rn  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBkra3.html" rel="bookmark" class="title">《Differential Equations with Boundary-Value Problems》-chaper2-一阶线性方程</a>
					<div>
						学习微分方程中,一个很常见的疑惑就是,我们所熟悉的非齐次微分方程的通解是对应齐次方程的通解加特解,但是更为重要的是,我们需要知道这句话是怎么得来的. 我们探讨一个未知问题的一般思路是将其不断的与已知已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLN5Z4.html" rel="bookmark" class="title">foreach遍历遇到的一个细节问题</a>
					<div>
						1.Invalid argument supplied for foreach()警告错误解决办法:foreach遍历之前添加is_array()判断					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41Gd6o0.html" rel="bookmark" class="title">《Effective C&plus;&plus;》之条款33：避免遮掩继承而来的名称</a>
					<div>
						&lt;Effective C++&gt; 条款33:避免遮掩继承而来的名称 遮掩行为与作用域有关.例子如下: int x;//global变量 void someFun() {     double ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
